For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.meetstream.ai/api-reference/ap-is/calendar/llms.txt. For full documentation content, see https://docs.meetstream.ai/api-reference/ap-is/calendar/llms-full.txt.

# Reschedule Event

PATCH https://api.meetstream.ai/api/v1/calendar/schedule/{event_id}
Content-Type: application/json

Reference: https://docs.meetstream.ai/api-reference/ap-is/calendar/reschedule-event

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Meetstream API
  version: 1.0.0
paths:
  /api/v1/calendar/schedule/{event_id}:
    patch:
      operationId: reschedule-event
      summary: Reschedule Event
      tags:
        - subpackage_calendar
      parameters:
        - name: event_id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: 'Format: Token <your_api_key>'
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RescheduleBotResponse'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RescheduleEventRequest'
servers:
  - url: https://api.meetstream.ai
components:
  schemas:
    RescheduleEventRequest:
      type: object
      properties:
        scheduled_join_time:
          type: string
          format: date-time
      required:
        - scheduled_join_time
      title: RescheduleEventRequest
    RescheduleBotResponse:
      type: object
      properties:
        message:
          type: string
        bot_id:
          type: string
        updated_fields:
          type: array
          items:
            type: string
        schedule_updated:
          type: boolean
      title: RescheduleBotResponse
  securitySchemes:
    TokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: 'Format: Token <your_api_key>'

```

## SDK Code Examples

```python
import requests

url = "https://api.meetstream.ai/api/v1/calendar/schedule/event_id"

payload = { "scheduled_join_time": "2025-11-24T14:30:00Z" }
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.meetstream.ai/api/v1/calendar/schedule/event_id';
const options = {
  method: 'PATCH',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"scheduled_join_time":"2025-11-24T14:30:00Z"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.meetstream.ai/api/v1/calendar/schedule/event_id"

	payload := strings.NewReader("{\n  \"scheduled_join_time\": \"2025-11-24T14:30:00Z\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.meetstream.ai/api/v1/calendar/schedule/event_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"scheduled_join_time\": \"2025-11-24T14:30:00Z\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.meetstream.ai/api/v1/calendar/schedule/event_id")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"scheduled_join_time\": \"2025-11-24T14:30:00Z\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.meetstream.ai/api/v1/calendar/schedule/event_id', [
  'body' => '{
  "scheduled_join_time": "2025-11-24T14:30:00Z"
}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.meetstream.ai/api/v1/calendar/schedule/event_id");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"scheduled_join_time\": \"2025-11-24T14:30:00Z\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["scheduled_join_time": "2025-11-24T14:30:00Z"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.meetstream.ai/api/v1/calendar/schedule/event_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```